> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/omnitron-openapis/b2b-transactions.md).

# B2B Transactions

## Retrieve B2B transaction

> Get details of a specific B2B transaction by its ID.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"id_path":{"name":"id","in":"path","description":"Unique identifier of the resource","required":true,"schema":{"type":"integer"}}},"schemas":{"B2BTransaction":{"type":"object","properties":{"pk":{"type":"integer","description":"Primary key of the B2B transaction"},"order":{"type":"integer","description":"ID of the associated order"},"amount":{"type":"number","format":"decimal","description":"Amount involved in the B2B transaction"},"transaction_type":{"$ref":"#/components/schemas/B2BTransactionType"},"user_email":{"type":"string","description":"Email of the user associated with the B2B transaction"},"remote_addr":{"type":"string","description":"Remote address associated with the B2B transaction"},"created_date":{"type":"string","format":"date-time","description":"Date when the B2B transaction was created"},"modified_date":{"type":"string","format":"date-time","description":"Date when the B2B transaction was last modified"}}},"B2BTransactionType":{"type":"string","description":"Type of B2B transaction","enum":["purchase","refund","cancel"]}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/b2b_transactions/{id}/":{"get":{"summary":"Retrieve B2B transaction","description":"Get details of a specific B2B transaction by its ID.","tags":["B2B Transactions"],"parameters":[{"$ref":"#/components/parameters/id_path"}],"responses":{"200":{"description":"B2B transaction retrieved successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/B2BTransaction"}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```

## List B2B transactions

> Retrieve a paginated list of B2B transactions.

```json
{"openapi":"3.0.3","info":{"title":"Omnitron API","version":"1.0.0"},"security":[{"Token":[]}],"components":{"securitySchemes":{"Token":{"type":"apiKey","in":"header","name":"Authorization"}},"parameters":{"page":{"name":"page","in":"query","required":false,"description":"Specifies the page number of the current dataset","schema":{"type":"integer","minimum":1,"default":1}},"limit":{"name":"limit","in":"query","required":false,"description":"Indicates the number of rows on the current page.","schema":{"type":"integer","minimum":1,"default":10}},"order":{"name":"order","in":"query","description":"Filter by order ID.","required":false,"schema":{"type":"number"}},"amount":{"name":"amount","in":"query","required":false,"description":"Filter by amount.","schema":{"type":"number","format":"decimal"}},"b2b_transaction_type":{"name":"transaction_type","description":"Filter by transaction types.","in":"query","schema":{"$ref":"#/components/schemas/B2BTransactionType"}},"user_email":{"name":"user_email","in":"query","required":false,"schema":{"type":"string","format":"email"},"description":"User's email (case-insensitive)"},"remote_addr":{"name":"remote_addr","in":"query","required":false,"schema":{"type":"string"},"description":"Filter by IP address"},"created_date":{"name":"created_date","in":"query","required":false,"description":"Filter by creation date using supported lookup expressions (e.g., `gt`, `gte`, `lt`, `lte`, `date__gt`, etc.).","schema":{"type":"string","format":"date-time"}},"pk":{"name":"pk","in":"query","required":false,"description":"Filters by primary key","schema":{"type":"integer"}},"pk__gt":{"name":"pk__gt","in":"query","description":"Filter by primary key greater than a specific value.","schema":{"type":"string"}},"pk__gte":{"name":"pk__gte","in":"query","required":false,"description":"Filters by primary key greater than or equal to the given value","schema":{"type":"integer"}},"pk__lt":{"name":"pk__lt","in":"query","required":false,"description":"Filters by primary key less than the given value","schema":{"type":"integer"}},"pk__lte":{"name":"pk__lte","in":"query","required":false,"description":"Filters by primary key less than or equal to the given value","schema":{"type":"integer"}}},"schemas":{"B2BTransactionType":{"type":"string","description":"Type of B2B transaction","enum":["purchase","refund","cancel"]},"B2BTransaction":{"type":"object","properties":{"pk":{"type":"integer","description":"Primary key of the B2B transaction"},"order":{"type":"integer","description":"ID of the associated order"},"amount":{"type":"number","format":"decimal","description":"Amount involved in the B2B transaction"},"transaction_type":{"$ref":"#/components/schemas/B2BTransactionType"},"user_email":{"type":"string","description":"Email of the user associated with the B2B transaction"},"remote_addr":{"type":"string","description":"Remote address associated with the B2B transaction"},"created_date":{"type":"string","format":"date-time","description":"Date when the B2B transaction was created"},"modified_date":{"type":"string","format":"date-time","description":"Date when the B2B transaction was last modified"}}}},"responses":{"401":{"description":"Unauthorized Access","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"type":"string","description":"Contains a detailed description of the error."},"code":{"type":"string","description":"Represents the server-side error code."}}}}}},"403":{"description":"Forbidden"},"404":{"description":"The given resource or object was not found or does not exist.","content":{"application/json":{"schema":{"type":"object","properties":{"detail":{"description":"Contains a detailed description of the error.","type":"string"}}}}}},"500":{"description":"Server Error"}}},"paths":{"/api/v1/b2b_transactions/":{"get":{"summary":"List B2B transactions","description":"Retrieve a paginated list of B2B transactions.","tags":["B2B Transactions"],"parameters":[{"$ref":"#/components/parameters/page"},{"$ref":"#/components/parameters/limit"},{"$ref":"#/components/parameters/order"},{"$ref":"#/components/parameters/amount"},{"$ref":"#/components/parameters/b2b_transaction_type"},{"$ref":"#/components/parameters/user_email"},{"$ref":"#/components/parameters/remote_addr"},{"$ref":"#/components/parameters/created_date"},{"$ref":"#/components/parameters/pk"},{"$ref":"#/components/parameters/pk__gt"},{"$ref":"#/components/parameters/pk__gte"},{"$ref":"#/components/parameters/pk__lt"},{"$ref":"#/components/parameters/pk__lte"}],"responses":{"200":{"description":"Successful response with a list of B2B transactions.","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"integer","description":"Total number of results."},"next":{"type":"string","format":"uri","nullable":true,"description":"URL of the next page of results."},"previous":{"type":"string","format":"uri","nullable":true,"description":"URL of the previous page of results."},"results":{"type":"array","items":{"$ref":"#/components/schemas/B2BTransaction"}}}}}}},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"500":{"$ref":"#/components/responses/500"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/omnitron-openapis/b2b-transactions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
